
%global meadversion 2.7.0
%global namedversion 2.7.0.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 3
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}joda-time}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.7.0.redhat-2

Name:           %{?scl_prefix}joda-time
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Joda-Time
Group:          Development/Java

%if %with mead
Source100: joda-time-2.7.0.redhat-2-scm-sources.zip
Source102: joda-time-2.7.0.redhat-2-no-tzdb.jar
Source103: joda-time-2.7.0.redhat-2-sources.jar
Source104: joda-time-2.7.0.redhat-2.pom
Source105: joda-time-2.7.0.redhat-2-project-sources.tar.gz
Source106: joda-time-2.7.0.redhat-2.jar
Source107: joda-time-2.7.0.redhat-2-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.joda.org/joda-time/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Date and time library to replace JDK date handling.

%if %with javadoc
%package javadoc
Summary:        Javadoc for joda-time
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n joda-time -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/joda-time-%{namedversion}.jar %{buildroot}%{_javadir}/joda-time-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/joda-time-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/joda-time-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/joda-time-%{namedversion}-sources.jar %{buildroot}%{_javadir}/joda-time-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/joda-time-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/joda-time-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/joda-time-%{namedversion} -x META-INF/\*
%{__ln_s} joda-time-%{namedversion} %{buildroot}%{_javadocdir}/joda-time
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt README.md RELEASE-NOTES.txt
%{_javadir}/joda-time-%{namedversion}.jar
%{_javadir}/joda-time.jar
%if %with javadoc
%{_javadir}/joda-time-%{namedversion}-javadoc.jar
%{_javadir}/joda-time-javadoc.jar
%endif
%{_javadir}/joda-time-%{namedversion}-sources.jar
%{_javadir}/joda-time-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/joda-time-%{namedversion}
%{_javadocdir}/joda-time
%endif

%changelog
* Wed Sep 23 2015 David Walluck <dwalluck@redhat.com> - 2.7.0-3.redhat_2.1
- update manifest

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 2.7.0-2.redhat_1.1
- Re-wrap to include RHEL-6

* Thu Apr 30 2015 David Walluck <dwalluck@redhat.com> - 2.7.0-1.redhat_1.1
- rebuild to fix version

* Wed Apr 29 2015 David Walluck <dwalluck@redhat.com> - 2-1.7.2
- release

